Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.instrument
Class JoinpointSimpleClassifier

    java.lang.Object
      org.jboss.aop.instrument.JoinpointClassifier
          org.jboss.aop.instrument.JoinpointSimpleClassifier

public class JoinpointSimpleClassifier
extends JoinpointClassifier

This joinpoint classifier is anaware of differences between `PREPARED` and `WRAPPED` classifications. It classifies a joinpoint either as something that must be instrumented or something that mustn't, without caring about preparation. Whenever a joinpoint must be instrumented, it is classified as `WRAPPED`; by the other hand, whenever it is should not be instrumented, it is classified as `NOT_INSTRUMENTED`

Author:
  Flavia Rainone
See Also:
  `JoinpointClassifier`, `JoinpointClassification`

Nested Class Summary

Nested classes inherited from class org.jboss.aop.instrument.JoinpointClassifier
`JoinpointClassifier.Matcher`

Constructor Summary
`JoinpointSimpleClassifier()`

Method Summary
`protected JoinpointClassification` | `classifyJoinpoint(javassist.CtMember member, Advisor advisor, JoinpointClassifier.Matcher joinpointMatcher)` Classifies the execution of a joinpoint.

Methods inherited from class org.jboss.aop.instrument.JoinpointClassifier
`classifyConstructorExecution, classifyFieldGet, classifyFieldSet, classifyMethodExecution`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JoinpointSimpleClassifier

    public JoinpointSimpleClassifier()

Method Detail

### classifyJoinpoint

    protected JoinpointClassification classifyJoinpoint(javassist.CtMember member,
                                                        Advisor advisor,
                                                        JoinpointClassifier.Matcher joinpointMatcher)
                                                 throws javassist.NotFoundException

  Classifies the execution of a joinpoint. The joinpoint being classified is identified by `matcher`. If the joinpoint is matched by one or more pointcuts, then it is classified as `JoinpointClassification.WRAPPED`. Otherwise, it is classified as `JoinpointClassification.NOT_INSTRUMENTED`.

  Specified by:
    `classifyJoinpoint` in class `JoinpointClassifier`
  Parameters:
    `member` - the member associated with the joinpoint to be classified.
    `advisor` - the advisor associated with `member` declaring class.
    `joinpointMatcher` - this matcher must be used to find out if a pointcut matches the joinpoint.
  Returns:
    the joinpoint classification.
  Throws:
    `javassist.NotFoundException` - thrown if the matching of pointcuts fails.
  See Also:
    `JoinpointClassifier.classifyJoinpoint(javassist.CtMember, org.jboss.aop.Advisor, org.jboss.aop.instrument.JoinpointClassifier.Matcher)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.